org.apache.solr.client.solrj.cloud

## Class SocketProxy.Acceptor

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.SocketProxy.Acceptor

All Implemented Interfaces:
  Runnable

Enclosing class:
  SocketProxy

    public class SocketProxy.Acceptor
    extends Object
    implements Runnable

### Constructor Summary

Constructors
Constructor and Description
`Acceptor(ServerSocket serverSocket, URI uri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `goOn()`
`void` `pause()`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Acceptor

    public Acceptor(ServerSocket serverSocket,
                    URI uri)

### Method Detail

#### pause

    public void pause()

#### goOn

    public void goOn()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### close

    public void close()